
QGIS Application - Bug report #19692

Advanced setting / Processing Configuration / "GRASS7 Folder" is not automatically updated when 

user install a new version of QGIS on Windows.

2018-08-25 08:15 AM - sand thorn

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 64-bit v1803 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27517

Description

Steps to reproduce:

1. install QGIS 3.0

2. Open / Open Advanced Setting / OK / Close application

3. uninstall QGIS 3.0

4. install QGIS 3.2.2

5. Open application

6. Open Setting

5. click OK

6. A dialog complains "GRASS7 Folder" is invalid

wrong value for parameter GRASS7 folder....

7. Open Setting / Goto advance config

8. Processing / Configuration / GRASS7 Folder remains to QGIS3.0's grass folder

I'm not sure if this also happens with Linux.

I'm not sure this should be filed under category "GUI" or "Windows Package".

Related issues:

Duplicated by QGIS Application - Bug report # 19254: GRASS integration failures Closed 2018-06-25

Associated revisions

Revision 3a4a3af1 - 2018-11-10 09:35 PM - Jürgen Fischer

osgeo4w:

    -  only use GRASS major version in executable names

    -  autodetect GRASS folder

Revision bd5c44d4 - 2018-11-10 09:36 PM - Jürgen Fischer

osgeo4w:

    -  only use GRASS major version in executable names

    -  autodetect GRASS folder

(cherry picked from commit 3a4a3af1d6d1b03024e48d9a0e2629d1d4e8a5d2)

History
#1 - 2018-08-25 03:19 PM - Giovanni Manghi

- Category changed from GUI to Processing/GRASS

#2 - 2018-08-26 07:18 AM - Alexander Bruy

- Status changed from Open to Feedback

This is expected and correct behaviour. QGIS does not wipe its settings when reinstalled or updated. Note that all other setting also does not reset, so why

Processing settings should change?

#3 - 2018-08-27 11:04 AM - sand thorn

I just think it took me a bit long time to find out the location of settings, perhaps my bad anyway.

So I can come up with two resolution.

1. Installer should always reset the grass folder to the default location of new GRASS in the package.

(or perhaps a checked checkbox at setup for those who want to opt out.)

2. The advanced configuration warning should give details of exact setting path to look for like:

"Advanced Configuration / Processing / Configuration / GRASS7 Folder"

#4 - 2018-10-29 10:17 AM - sand thorn

In version 3.4

Settings / Advanced / Processing / Configuration / GRASS7 Folder

seems not affected and unused.

However, one might still find "GRASS7 folder" error when clicking "OK" in Advanced setting after upgrade.

The coresponding setting now moves to

Settings / Processing / Providers / GRASS / GRASS7 folder

Manually change those settings to current installation path will suppress the warning.

#5 - 2018-10-29 09:52 PM - Giovanni Manghi

sand thorn wrote:

In version 3.4

Settings / Advanced / Processing / Configuration / GRASS7 Folder

seems not affected and unused.

However, one might still find "GRASS7 folder" error when clicking "OK" in Advanced setting after upgrade.

The coresponding setting now moves to

Settings / Processing / Providers / GRASS / GRASS7 folder

Manually change those settings to current installation path will suppress the warning.

try a new/clean profile.
#6 - 2018-11-10 09:39 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

In commit:3a4a3af1d6d1b03024e48d9a0e2629d1d4e8a5d2 / commit:bd5c44d49dfa13870156e3dcb220db480a7b5536 GRASS_FOLDER is now

autodetected on Windows/OSGeo4W.

#7 - 2018-11-11 03:26 AM - Jürgen Fischer

- Related to Bug report #19254: GRASS integration failures added

#8 - 2018-11-11 03:26 AM - Jürgen Fischer

- Related to deleted (Bug report #19254: GRASS integration failures)

#9 - 2018-11-11 03:26 AM - Jürgen Fischer

- Duplicated by Bug report #19254: GRASS integration failures added

#10 - 2019-01-26 05:12 PM - Bas wein

Last night I had a similar experience with installing QGIS 3.4 using OSGeo4W. I got a "can't find grass.bat" error when trying to run grass algorithms in

qgis. Eventually I figured out that OSGeo had installed Grass 7.6 and I used it to install Grass 7.4 and it started working again. But not after I learned that

the path to grass folder is no longer in Options/Processing/Providers/Grass and I did not find it in options/advanced/processing/(no configuration folder) or

in any of the advanced setting that I could find.
